-- 基础信息
base_info = {
	group_id = 247004006
}

-- DEFS_MISCS
local GroupId = 247004006
local point_id_list = {}
local MainGroupID = 247004001
local RegionID = 6001

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
	{ config_id = 6001, shape = RegionShape.CUBIC, size = { x = 40.000, y = 25.000, z = 40.000 }, pos = { x = -0.044, y = -0.582, z = 160.021 } }
}

-- 触发器
triggers = {
	{ config_id = 1006001, name = "ENTER_REGION_6001", event = EventType.EVENT_ENTER_REGION, source = "", condition = "", action = "" }
}

-- 点位
points = {
	{ config_id = 6002, pos = { x = -3.978, y = -0.525, z = 167.689 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6003, pos = { x = 4.106, y = -0.527, z = 167.635 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6004, pos = { x = 0.001, y = -0.531, z = 168.579 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 6005, pos = { x = -7.155, y = -0.511, z = 166.473 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 2 },
	{ config_id = 6006, pos = { x = 7.066, y = -0.518, z = 166.032 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 2 },
	{ config_id = 6007, pos = { x = -8.375, y = -0.527, z = 163.751 }, rot = { x = 0.000, y = 110.000, z = 0.000 }, tag = 2 },
	{ config_id = 6008, pos = { x = 8.733, y = -0.522, z = 163.767 }, rot = { x = 0.000, y = 250.000, z = 0.000 }, tag = 2 },
	{ config_id = 6009, pos = { x = -8.626, y = -0.532, z = 160.046 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 6010, pos = { x = 8.834, y = -0.524, z = 160.062 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 2 },
	{ config_id = 6011, pos = { x = 0.036, y = -0.518, z = 168.119 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 4 },
	{ config_id = 6012, pos = { x = -5.749, y = -0.507, z = 167.186 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 4 },
	{ config_id = 6013, pos = { x = 5.727, y = -0.532, z = 167.152 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 4 },
	{ config_id = 6014, pos = { x = -8.693, y = -0.524, z = 162.507 }, rot = { x = 0.000, y = 100.000, z = 0.000 }, tag = 4 },
	{ config_id = 6015, pos = { x = 8.857, y = -0.526, z = 162.512 }, rot = { x = 0.000, y = 260.000, z = 0.000 }, tag = 4 },
	{ config_id = 6016, pos = { x = -8.679, y = -0.530, z = 157.623 }, rot = { x = 0.000, y = 80.000, z = 0.000 }, tag = 4 },
	{ config_id = 6017, pos = { x = 8.763, y = -0.531, z = 157.678 }, rot = { x = 0.000, y = 280.000, z = 0.000 }, tag = 4 },
	{ config_id = 6018, pos = { x = -5.701, y = -0.532, z = 152.955 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 4 },
	{ config_id = 6019, pos = { x = 5.657, y = -0.532, z = 152.871 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 4 },
	{ config_id = 6020, pos = { x = -0.062, y = -0.532, z = 152.076 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 6021, pos = { x = -7.178, y = -0.490, z = 167.203 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 },
	{ config_id = 6022, pos = { x = 7.102, y = -0.515, z = 167.206 }, rot = { x = 0.000, y = 210.000, z = 0.000 }, tag = 8 },
	{ config_id = 6023, pos = { x = -7.176, y = -0.532, z = 152.852 }, rot = { x = 0.000, y = 30.000, z = 0.000 }, tag = 8 },
	{ config_id = 6024, pos = { x = 7.025, y = -0.532, z = 152.930 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 6025, pos = { x = 0.127, y = -0.515, z = 167.451 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 8 },
	{ config_id = 6026, pos = { x = -0.071, y = -0.532, z = 152.694 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 6027, pos = { x = -8.153, y = -0.532, z = 160.024 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 8 },
	{ config_id = 6028, pos = { x = 8.223, y = -0.529, z = 159.990 }, rot = { x = 0.000, y = 270.000, z = 0.000 }, tag = 8 },
	{ config_id = 6029, pos = { x = -8.048, y = -0.531, z = 155.960 }, rot = { x = 0.000, y = 60.000, z = 0.000 }, tag = 8 },
	{ config_id = 6030, pos = { x = 7.920, y = -0.523, z = 163.399 }, rot = { x = 0.000, y = 240.000, z = 0.000 }, tag = 8 },
	{ config_id = 6031, pos = { x = 3.359, y = -0.532, z = 152.376 }, rot = { x = 0.000, y = 330.000, z = 0.000 }, tag = 8 },
	{ config_id = 6032, pos = { x = -3.893, y = -0.507, z = 167.299 }, rot = { x = 0.000, y = 150.000, z = 0.000 }, tag = 8 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { 6001 },
		triggers = { "ENTER_REGION_6001" },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_2/RogueDungeon_Require"
